<?php
	$LIMPIAR=0;
	//-------------------------
	//$StrId=V($_POST['TxtId']);
	//$StrCmd=V($_POST['TxtAc']);
	//-------------------------
	if(strlen($StrCmd)==0){
		$StrCmd=V($_GET['TxtAc']);
		//if($StrCmd=="X")$StrCmd="C";+++++++++++++
	}
	//-------------------------++
	$StrTempA=V($_POST['CboTemp']);
	$StrTempB=V($_POST['TxtTemp']);
	$StrTempA_=0;
	$ID_TEMP=0;
	$TEMP_SER=0;
	$TEMP_NUM=0;
	$StrAlm=V($_POST['CboAlm']);
	$StrFec=V($_POST['TxtFec']);
	$StrCom=V($_POST['CboCom']);
	$StrSer=V($_POST['TxtSer']);
	$StrNum=V($_POST['TxtNum']);
	$StrMon=V($_POST['CboMon']);
	$StrPro=V($_POST['CboPro']);
	$StrRuc=V($_POST['TxtRuc']);	
	$StrDni=V($_POST['TxtDni']);
	$StrTel=V($_POST['TxtTel']);
	$StrEma=V($_POST['TxtEma']);	
	//$StrCon=V($_POST['TxtCon']);
	$StrTdp=V($_POST['CboTdp']);
	$CboVend=V($_POST['CboVend']);
	$StrEnv=V($_POST['TxtEnv']);
	$StrTOT_IMP=V($_POST['TXT_TOT_IMP']);

	if(strlen($StrTdp)==0)$StrTdp="CONTADO";
	$StrTar=V($_POST['CboTar']);
	$StrBan=V($_POST['CboBancos']);
	$StrOpe=V($_POST['TxtOpe']);
	//
	if($StrTdp=="CONTADO"){
		$StrTar="";
		$StrBan="";	
	}		
	if($StrTdp=="DEPOSITO" || $StrTdp=="TARJETA" || $StrTdp=="CREDITO"){
		$StrMon="SOLES";
	}
	//
	$StrN_BAR=vbval(V($_POST['ChN_BAR']));
	$StrN_AUT=vbval(V($_POST['ChN_AUT']));
	//
	$StrN_INC=vbval(V($_POST['ChN_INC']));
	$StrN_AUTO=vbval(V($_POST['ChN_AUTO']));
	$StrCliente=V($_POST['TxtCliente']);
	$StrDIR=V($_POST['TxtDIR']);
	$StrRuc=V($_POST['TxtRuc']);
	$StrIdCliente=V($_POST['TxtIdCliente']);
	//------------------------
	$StrPro_ID=V($_POST['Pro_TxtId']);
	$StrIdCliente=V($_POST['TxtIdCliente']);
	$StrPro_PR=V($_POST['TxtPre']);
	$StrPro_CA=V($_POST['TxtCant']);	
	//------------------------
	$T_ST=V($_POST['T_ST']);
	$T_IG=V($_POST['T_IG']);
	$T_TO=V($_POST['T_TO']);
	//------------------------
	$StrAde="0";
	if(strlen($StrAde)==0)$StrAde="0";
	$StrPagarCon=vbval(V($_POST['TxtPagarCon']));
	$StrVuelto=vbval(V($_POST['TxtVuelto']));
	//
	if(strlen($StrFec)==0)$StrFec=date("d-m-y");
	//	
	$StrIdCliente=vbval($StrIdCliente);
	$StrPro_ID=vbval($StrPro_ID);
	$StrPro_PR=vbval($StrPro_PR);
	$StrPro_CA=vbval($StrPro_CA);
	//------------------------
	$StrCod=V($_POST['TxtCod']);
	$StrDes=V($_POST['TxtDes']);
	$StrMARCA=V($_POST['TxtMarca']);
	$StrPre=V($_POST['TxtPre']);
	$StrCant=V($_POST['TxtCant']);
	$StrImp=V($_POST['TxtImp']);
	//-------------------------
	$StrTC=gs("valor","valores","dato='T_CAMBIO'");
	//-------------------------
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}
	//FUNCIONES DE DESZPLAZAMIENTO
	if(strlen($LStrPag)==0)$LStrPag="0";
	if($StrCmd=="MSig")$LStrPag=($LStrPag+1);
	if($StrCmd=="MAnt")$LStrPag=($LStrPag-1);
	if($StrCmd=="MPri")$LStrPag=0;
	if($StrCmd=="MUlt")$LStrPag=(floor($LStrTR / $VP_RegXPag) );
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrEnv=gn("COS_ENV","vventas","ID=$Id");
		$StrTOT_IMP=gn("IMP_TOT","vventas","ID=$Id");
		//
		$StrAlm=gs("ALM","vventas","ID=$Id");
		$StrFec=gs("DATE_FORMAT(FEC,'%d-%m-%y')","vventas","ID=$Id");
		$StrCom=gs("COM","vventas","ID=$Id");
		$StrSer=gs("SER","vventas","ID=$Id");
		$StrNum=gs("NUM","vventas","ID=$Id");
		$StrMon=gs("MON","vventas","ID=$Id");
		if($StrMon=="S") $StrMon="SOLES";
		if($StrMon=="D") $StrMon="DOLARES";
		$StrIdCliente=gn("id_cliente","ventas","id_venta=$Id");
		$StrCliente=gs("CLI","vventas","ID=$Id");
		$StrDIR=gs("cli_dir","clientes","id_cliente=$StrIdCliente");
		$StrRuc=gs("RUC","vventas","ID=$Id");
		$StrTdp=gs("TDP","vventas","ID=$Id");		
		$StrTdp=gs("tipp_nombre","tipos_pagos","id_tip_pag='$StrTdp'");
		$StrTar=gs("TAR","vventas","ID=$Id");
		$StrBan=gs("BAN","vventas","ID=$Id");
		$StrAde=gn("ADE","vventas","ID=$Id");
		//$StrCon=gn("CONTACTO","vventas","ID=$Id");
		$StrDni=gn("DNI","vventas","ID=$Id");
		$StrTel=gn("TELEFONO","vventas","ID=$Id");
		$StrEma=gn("EMAIL","vventas","ID=$Id");		
		$StrPagarCon=gn("P_CON","vventas","ID=$Id");
		$StrVuelto=gn("VUE","vventas","ID=$Id");
		$StrN_INC=gs("INI","vventas","ID=$Id");
		$StrTempA=gs("VEN_COM_REF","vventas","ID=$Id");
		$ID_TEMP=gn("VEN_ID_VEN","vventas","ID=$Id");
		$CboVend=gn("VEND","vventas","ID=$Id");
		$StrOpe=gs("operacion","ventas","id_venta=$Id");
		if($StrTempA=="PROFORMA"){
			$StrTempB=gs("CONCAT(ser,'-',num)","cotizaciones","id_cotizacion=$ID_TEMP");
		}
		if($StrTempA=="GUIA"){
			$StrTempB=gs("CONCAT(ser,'-',num)","guias","id_guia=$ID_TEMP");
		}
		if($StrTempA=="NOTA DE PEDIDO"){
			$StrTempB=gs("CONCAT(ser,'-',num)","ventas","id_venta=$ID_TEMP");
		}
		//		
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_V'");
		$s="SELECT * FROM ventas_det WHERE id_venta=$Id ORDER BY cx";
		$cx=0;
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$cx++;
			$AR_ID=$row[2];
			$AR_CA=$row[3];
			$AR_PR=$row[4];
			$AR_IM=$row[5];
			$AR_CO=$row[7];
			$AR_DE=$row[8];
			$s="INSERT INTO temp_compras VALUES ('$StrHWND_V',
			   $AR_ID,$AR_CA,$AR_PR,$AR_IM,$cx,'$AR_CO','$AR_DE',0)";
			ejt($s);			
		}
	}
	//
	if($StrCmd=="ENV_PDF"){
		$_ID=$StrId;
		//
		$CLI_ID=gn("id_cliente","ventas","id_venta=$_ID");
		//
		$_EMA=gs("cli_email","clientes","id_cliente=$CLI_ID");
		if(strlen($_EMA)==0){
			$LStrMsg="El presente cliente no tiene un email registrado";
			$LStrFoc="document.getElementById('TxtCliente').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			$_PDF=PDF_VENTA($_ID);
			$StrTit="Importaciones DEOS";
			$StrAsunto="Venta";
			$StrCliente=gs("CLI","wis_ventas","ID=$_ID");
			$StrEmail=$_EMA;
			$StrTexto="Saludos, aqui le enviamos una copia de la venta";
			$StrF1=$_PDF;
			$StrF2="";
			EnviarEmail($StrTit,$StrAsunto,$StrCliente,$StrEmail,$StrTexto,$StrF1,$StrF2);
			$LStrMsg="El email ha sido enviado a $StrEmail";
			$LStrFoc="document.getElementById('TxtCliente').focus();";						
			$StrGT="S";
		}
	}
	//
	if($StrCmd=="LOAD"){
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_V'");
		$StrTempA_=gn("id_comprobante","comprobantes","com_nombre='$StrTempA'");
		SER_NUM_EX($StrTempB,$TEMP_SER,$TEMP_NUM);
		if($StrTempA=="GUIA"){
			$ID_TEMP=gn("id_guia","guias","iser=$TEMP_SER AND inum=$TEMP_NUM");
		}
		if($StrTempA=="NOTA DE PEDIDO"){			
			$ID_TEMP=gn("id_venta","ventas","iser=$TEMP_SER AND inum=$TEMP_NUM 
			AND id_com=$StrTempA_");
		}
		if($StrTempA=="PROFORMA"){
			$ID_TEMP=gn("id_cotizacion","cotizaciones","iser=$TEMP_SER AND inum=$TEMP_NUM");
		}
		//
		if($StrTempA=="GUIA"){		
			if($ID_TEMP==0){
				$LStrMsg="GENERAR SEGUN ... GUIA serie/numero NO registrados";
				$LStrFoc="document.getElementById('TxtTemp').focus();";						
				$StrGT="S";	
			}
			if(strlen($StrGT)==0){
				$X_IND=0;
				$s="SELECT * FROM guias_det WHERE id_guia=$ID_TEMP ORDER BY cx";
				$result = grs($s);
				while ($row = $result->fetch_row()){
					$X_IND=$X_IND+1;
					$X_IDP=$row[2];
					$X_CAN=$row[3];
					$X_PRE=gn("pro_pv_max","productos","id_producto=$X_IDP");
					$X_IMP=$X_CAN * $X_PRE;
					$s="INSERT INTO temp_compras VALUES ('$StrHWND_V',$X_IDP,
						$X_CAN,$X_PRE,$X_IMP,$X_IND,'','',0)";
					ejt($s);
				}
				$LStrMsg="Los datos han sido cargados correctamente";
				$LStrFoc="document.getElementById('CboTdp').focus();";						
				$StrGT="S";					
			}
		}
		if($StrTempA=="NOTA DE PEDIDO"){
			if($ID_TEMP==0){
				$LStrMsg="GENERAR SEGUN ... NOTA DE PEDIDO serie/numero NO registrados";
				$LStrFoc="document.getElementById('TxtTemp').focus();";						
				$StrGT="S";		
			}
			if(strlen($StrGT)==0){
				if(gs("anu","ventas","id_venta=$ID_TEMP")=="S"){
					$LStrMsg="GENERAR SEGUN ... serie/numero anulado";
					$LStrFoc="document.getElementById('TxtTemp').focus();";						
					$StrGT="S";							
				}
			}
			if(strlen($StrGT)==0){
				$X_IND=0;
				$s="SELECT * FROM ventas_det WHERE id_venta=$ID_TEMP ORDER BY cx";
				$result = grs($s);
				while ($row = $result->fetch_row()){
					$X_IND=$X_IND+1;
					$X_IDP=$row[2];
					$X_CAN=$row[3];
					$X_PRE=$row[4];
					$X_IMP=$row[5];
					$s="INSERT INTO temp_compras VALUES ('$StrHWND_V',$X_IDP,
						$X_CAN,$X_PRE,$X_IMP,$X_IND,'','',0)";
					ejt($s);
				}
				$LStrMsg="Los datos han sido cargados correctamente";
				$LStrFoc="document.getElementById('CboTdp').focus();";						
				$StrGT="S";							
			}
		}
		if($StrTempA=="PROFORMA"){
			if($ID_TEMP==0){
				$LStrMsg="GENERAR SEGUN ... PROFORMA serie/numero NO registrados";
				$LStrFoc="document.getElementById('TxtTemp').focus();";						
				$StrGT="S";		
			}
			if(strlen($StrGT)==0){
				if(gs("anu","cotizaciones","id_cotizacion=$ID_TEMP")=="S"){
					$LStrMsg="GENERAR SEGUN ... serie/numero anulado";
					$LStrFoc="document.getElementById('TxtTemp').focus();";						
					$StrGT="S";							
				}
			}
			
			if(strlen($StrGT)==0){
				$X_IND=0;
				$s="SELECT * FROM cotizaciones_det WHERE id_cotizacion=$ID_TEMP ORDER BY cx";
				$result = grs($s);
				while ($row = $result->fetch_row()){
					$X_IND=$X_IND+1;
					$X_IDP=$row[2];
					$X_CAN=$row[3];
					$X_PRE=$row[4] - $row[6];
					$X_IMP=$row[5];
					$X_DSC=$row[6];
					$X_COD=$row[7];
					$X_DES=$row[8];
					$s="INSERT INTO temp_compras VALUES ('$StrHWND_V',$X_IDP,
						$X_CAN,$X_PRE,$X_IMP,$X_IND,'$X_COD','$X_DES',$X_DSC)";
					ejt($s);
				}
				$LStrMsg="Los datos han sido cargados correctamente";
				$LStrFoc="document.getElementById('CboTdp').focus();";						
				$StrGT="S";							
			}
		}
	}
	//
	if($StrCmd=="C"){
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_V'");
		$LIMPIAR=1;
	}
	//
	if($StrCmd=="KILLER"){
		ejt("DELETE FROM temp_compras WHERE 
				temc_index=$StrPro_ID AND cod_temc='$StrHWND_V'");
		$LStrFoc="document.getElementById('TxtCod').focus();";						
		$StrGT="S";	
		$StrVuelto="0.0";
		$StrPagarCon="0";		

	}
	//
	if($StrCmd=="ADD"){
		$_EXISTE=0;
		$StrVuelto="0.0";
		$StrPagarCon="0";	
		if($StrPro_ID==0){
			$LStrMsg="No se puede determinar el ID del producto";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";			
		}
		if(strlen($StrGT)==0){
			if($StrPro_CA==0){
				$LStrMsg="La cantidad debe ser mayor a cero";
				$LStrFoc="document.getElementById('TxtCant').focus();";						
				$StrGT="S";							
			}
		}
		
		if(strlen($StrGT)==0){
			if(gn("count(*)","temp_compras",
				  "temc_id_producto=$StrPro_ID AND cod_temc='$StrHWND_V'")>0){
				$_EXISTE=1;
				//$LStrMsg="El producto que desea agregar ya se encuentra en la lista";
				//$LStrFoc="document.getElementById('TxtCod').focus();";
				//$StrGT="S";	
			}
		}
		
		if(strlen($StrGT)==0){
			if(GetC("almacenes","alm_restringir='1' AND alm_nombre='$StrAlm'")>0){
				$PStoActual=gn("STOCK","vstocks","COD='$StrCod' AND ALM='$StrAlm'");	
				//@@
				if($PStoActual<$StrCant){
					$LStrMsg="Cantidad es superior al Stock Sctual";
					$LStrFoc="document.getElementById('TxtCod').focus();";					
					$StrGT="S";
					$StrCod="";
					$StrDes="";
					$StrMARCA="";
					$StrPre="";
					$StrCant="";
					$StrImp="";
				}
				
			}
		}	
		if(strlen($StrGT)==0){
			if($_EXISTE==0){
				$StrImporte=round($StrPro_CA * $StrPro_PR,2);
				$StrIndex=GenId("temc_index","temp_compras");
				$s="INSERT INTO temp_compras VALUES ('$StrHWND_V',
					$StrPro_ID,$StrPro_CA,$StrPro_PR,
					$StrImporte,$StrIndex,'$StrCod','$StrDes',0)";
				ejt($s);
			}else{
				$s="UPDATE temp_compras ".
				   "SET temc_precio=".$StrPro_PR.",temc_cant=temc_cant + $StrPro_CA ".
				   "WHERE temc_id_producto=$StrPro_ID AND cod_temc='$StrHWND_V'";
				ejt($s);
				$StrImporte=round(gn("temc_cant","temp_compras",
									 "temc_id_producto=$StrPro_ID AND ".
									 "cod_temc='$StrHWND_V'") * $StrPro_PR,2);
				$s="UPDATE temp_compras ".
				   "SET temc_imp=$StrImporte ".
				   "WHERE temc_id_producto=$StrPro_ID AND cod_temc='$StrHWND_V'";
				ejt($s);
			}
			$StrCant="";
			$StrPre="";
			$StrDes="";
			$StrMARCA="";
			$StrCod="";
			$StrImp="";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";	
		}
	}
	//
	if(($StrCmd=="G" || $StrCmd=="M") && strlen($StrGT)==0){			
		$StrAlm_=gn("id_almacen","almacenes","alm_nombre='$StrAlm'");
		$StrCom_=gn("id_comprobante","comprobantes","com_nombre='$StrCom'");
		$StrMon_=substr($StrMon,0,1);
		$StrPro_=gn("id_proveedor","proveedores","pro_nombre='$StrPro'");
		$StrTdp_=substr($StrTdp,0,2);
		if(gn("count(*)","temp_compras","cod_temc='$StrHWND_V'")==0){
			$LStrMsg="La lista de productos esta vacia";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";
		}
		$StrVend=gn("id_personal","personal","per_nombre='$CboVend'");
		$StrEnv_=vbval($StrEnv);
		$StrTOT_IMP_=vbval($StrTOT_IMP);
	}
	if(($StrCmd=="G" || $StrCmd=="M") && strlen($StrGT)==0){
		if($StrTdp=="TARJETA"){
			if(strlen($StrTar)==0){
				$LStrMsg="Seleccione la tarjeta correspondiente";
				$LStrFoc="document.getElementById('CboTar').focus();";	
				$StrGT="S";
			}
			if(strlen($StrGT)==0){
				if(strlen($StrBan)==0){
					$LStrMsg="Seleccione el banco correspondiente";
					$LStrFoc="document.getElementById('CboBancos').focus();";	
					$StrGT="S";
				}				
			}
		}
		if($StrTdp=="DEPOSITO"){			
			if(strlen($StrGT)==0){
				if(strlen($StrBan)==0){
					$LStrMsg="Seleccione el banco correspondiente";
					$LStrFoc="document.getElementById('CboBancos').focus();";	
					$StrGT="S";
				}				
			}
		}
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="M" && strlen($StrGT)==0){
		$LStrMsg="";
		if(strlen($StrIdCliente)==0) $StrIdCliente="0";
		if (is_numeric($StrIdCliente)==false) $StrIdCliente="0";
		$StrAlm_=gn("id_alm","ventas","id_venta=$StrId");
		ejt("DELETE FROM ventas WHERE id_venta=$StrId");
		$s="SELECT id_producto,ca FROM ventas_det WHERE id_venta=$StrId";
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$E_ID=$row[0];
			$E_CA=$row[1];
			STOCK_ADD($StrAlm_,$E_ID,$E_CA);			
		}
		ejt("DELETE FROM ventas_det WHERE id_venta=$StrId");
		$LStrMsg="Los datos han sido modificados";
		$StrGT="";
		$StrCmd="G";
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G" && strlen($StrGT)==0){
		//GENERAR SEGUN
		$StrTempA_=gn("id_comprobante","comprobantes","com_nombre='$StrTempA'");
		SER_NUM_EX($StrTempB,$TEMP_SER,$TEMP_NUM);
		if($StrTempA=="GUIA"){
			$ID_TEMP=gn("id_guia","guias","iser=$TEMP_SER AND inum=$TEMP_NUM");
		}
		if($StrTempA=="NOTA DE PEDIDO"){			
			$ID_TEMP=gn("id_venta","ventas","iser=$TEMP_SER AND inum=$TEMP_NUM 
			AND id_com=$StrTempA_");
		}
		if($StrTempA=="PROFORMA"){
			$ID_TEMP=gn("id_cotizacion","cotizaciones","iser=$TEMP_SER AND inum=$TEMP_NUM");
		}
		//
		$StrACuenta=0;
		if($StrTdp=="CREDITO"){
			$StrPagarCon=0;
			$StrACuenta=0;
			$StrVuelto=0;
		}
		if($StrTdp=="TARJETA"){
			$StrPagarCon=$T_TO;
			$StrACuenta=$StrPagarCon;
			$StrVuelto=0;
		}
		if($StrTdp=="DEPOSITO"){
			$StrPagarCon=$T_TO;
			$StrACuenta=$StrPagarCon;
			$StrVuelto=0;
		}
		if($StrTdp=="CONTADO"){
			$StrPagarCon_=$StrPagarCon;
			if($StrMon_=="D"){
				$StrPagarCon_=$StrPagarCon * $StrTC;
			}
			if($StrPagarCon_<$T_TO){
				$LStrMsg="El monto *PAGAR CON* debe ser mayor igual al total";
				$LStrFoc="document.getElementById('TxtPagarCon').focus();";	
				$StrGT="S";
			}
			if(strlen($StrGT)==0){
				if($StrPagarCon_>=$T_TO){
					$StrACuenta=$T_TO;
					$StrVuelto=$StrPagarCon_ - $T_TO;
				}
				if($StrPagarCon_==0){
					$StrMon_="S";
					$StrPagarCon=$T_TO;				
					$StrACuenta=$StrPagarCon;
					$StrVuelto=0;				
				}
			}
		}
	}
	if($StrCmd=="G" && strlen($StrGT)==0){

		$ID_TEMP=0;
		if(strlen($StrTempA)>0 && strlen($StrTempB)>0){
			SER_NUM_EX($StrTempB,$TEMP_SER,$TEMP_NUM);
			if($StrTempA=="GUIA"){
				$ID_TEMP=gn("id_guia","guias","iser=$TEMP_SER AND inum=$TEMP_NUM");
			}
			if($StrTempA=="NOTA DE PEDIDO"){
				$StrTempA_=gn("id_comprobante","comprobantes","com_nombre='$StrTempA'");
				$ID_TEMP=gn("id_venta","ventas","iser=$TEMP_SER AND inum=$TEMP_NUM 
				AND id_com=$StrTempA_");
			}
			if($StrTempA=="PROFORMA"){
				$ID_TEMP=gn("id_cotizacion","cotizaciones","iser=$TEMP_SER AND inum=$TEMP_NUM");
			}
		}
		//
		if($StrN_AUTO=="1"){
			VENTAS_GEN_SER_NUM_MAX($StrAlm_,$StrCom_,$StrSer,$StrNum);		
		}
		//
		$StrTar_=gn("id_tarjeta","tarjetas","tar_nombre='$StrTar'");
		$StrBan_=gn("id_banco","bancos","ban_nombre='$StrBan'");		
		//
		$StrFec_=ToDate($StrFec);
		$iStrSer=0;
		$iStrNum=0;		
		if(is_numeric($StrSer) && strlen($StrSer)>0)$iStrSer=$StrSer * 1;
		if(is_numeric($StrNum) && strlen($StrNum)>0)$iStrNum=$StrNum * 1;
		if(gn("count(*)","ventas","iser=$iStrSer AND inum=$iStrNum 
				AND id_alm=$StrAlm_ AND id_com=$StrCom_")>0){
			$LStrMsg="Almacen, comprobante, serie y numero ya registrados";
			$LStrFoc="document.getElementById('TxtSer').focus();";	
			$StrGT="S";
		}
	}
	if($StrCmd=="G" && strlen($StrGT)==0){
		$in=0;
		//
		if($in==0){
			$in=GetC("vclientes","RUC='$StrRuc' AND RUC<>''");
			if($in>0)$Wcli="cli_ruc=$StrRuc";
		}
		
		if($in==0){
			$in=GetC("vclientes","DNI='$StrDni' AND DNI<>''");
			if($in>0)$Wcli="cli_dni=$StrDni";
		}
		
		if($in==0){
			$in=GetC("vclientes","NOMBRE='$StrCliente'");
			if($in>0)$Wcli="cli_nombre='$StrCliente'";
		}
		
		if($in==0){
			$ICli=GenId("id_cliente","clientes");			
			$StrIdCliente=$ICli;
			//
			$s="INSERT INTO clientes VALUES ($ICli,'$StrCliente','','$StrDIR',0,'$StrDni','$StrRuc','$StrTel','','','$StrEma',0)";
			ejt($s);
			//
		}else{
			$s="UPDATE clientes SET 
				cli_nombre='$StrCliente',				
				cli_ruc='$StrRuc',
				cli_dni='$StrDni',					
				cli_dir='$StrDIR',
				cli_tel='$StrTel',
				cli_email='$StrEma'
				WHERE $Wcli";
			ejt($s);
		}
		
		if(strlen($StrMon_)==0){
			$LStrMsg="No se puede determinar el ID de la moneda $StrMon";
			$LStrFoc="document.getElementById('CboMon').focus();";	
			$StrGT="S";
		}
		//
		if(strlen($StrGT)==0){
			$StrAlm_=gn("id_almacen","almacenes","alm_nombre='$StrAlm'");
			$GII=GenGI();
			$StrId=GenId("id_venta","ventas");
			$s="INSERT INTO ventas VALUES ($StrId,$StrAlm_,'$StrFec_',$StrCom_,
			   '$StrSer','$StrNum',$StrIdCliente,
			   '$StrTdp_',$StrTC,'$StrN_INC',
			   $T_ST,$T_IG,$T_TO,$iStrSer,$iStrNum,$IdU,'$StrMon_','N',$GII,
			   $StrTar_,$StrBan_,$StrAde,$StrACuenta,$StrPagarCon,
			   $StrVuelto,$StrTempA_,$ID_TEMP,'N',
			   $StrVend,'$StrOpe',$StrEnv_,$StrTOT_IMP_)";
			ejt($s);
			//
			ejt("UPDATE clientes SET cli_dir='$StrDIR' WHERE id_cliente=$StrIdCliente");
			//
			ejt("DELETE FROM ventas_det WHERE id_venta=$StrId");
			$s="SELECT * FROM temp_compras WHERE cod_temc='$StrHWND_V' 
				ORDER BY temc_index";
			$result = grs($s);			
			$cx=0;
			$G_PC=0;
			while ($row = $result->fetch_row()){
				$cx++;
				$G_ID=$row[1];
				$G_CA=$row[2];
				$G_PR=$row[3];
				$G_IM=$row[4];
				$G_PC=gn("pro_pc_sol","productos","id_producto=$G_ID");
				$G_MN=gs("pro_mnd","productos","id_producto=$G_ID");
				if($G_MN=="D"){
					$G_PC=round($G_PC * $StrTC,2);
				}
				$G_CO=$row[6];
				$G_DE=$row[7];
				$ss="INSERT INTO ventas_det VALUES 
				($StrId,$cx,$G_ID,$G_CA,$G_PR,$G_IM,$G_PC,'$G_CO','$G_DE')";
				ejt($ss);				
				STOCK_SUB($StrAlm_,$G_ID,$G_CA);									
			}
			//ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_V'");
			//
			if(strlen($LStrMsg)==0){
				$LStrMsg="Los datos han sido registrado: $StrCom : $StrSer - $StrNum";
			}
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";
		
		}
	}
	
	if($StrCmd=="E"){
		$StrTempA=gs("VEN_COM_REF","vventas","ID=$StrId");
		$StrAlm_=gn("id_alm","ventas","id_venta=$StrId");
		ejt("DELETE FROM ventas WHERE id_venta=$StrId");
		$s="SELECT id_producto,ca FROM ventas_det WHERE id_venta=$StrId";
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$E_ID=$row[0];
			$E_CA=$row[1];			
			STOCK_ADD($StrAlm_,$E_ID,$E_CA);			
		}
		ejt("DELETE FROM ventas_det WHERE id_venta=$StrId");
		//
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_V'");
		//
		$LStrMsg="Los datos han sido eliminados";
		$LStrFoc="document.getElementById('TxtCod').focus();";						
		$StrGT="S";
		//
		$LIMPIAR=1;
	}	
	
	if($StrCmd=="A"){
		$StrTempA=gs("VEN_COM_REF","vventas","ID=$StrId");
		$StrAlm_=gn("id_alm","ventas","id_venta=$StrId");
		ejt("UPDATE ventas SET anu='S' WHERE id_venta=$StrId");
		$s="SELECT id_producto,ca FROM ventas_det WHERE id_venta=$StrId";
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$E_ID=$row[0];
			$E_CA=$row[1];			
			STOCK_ADD($StrAlm_,$E_ID,$E_CA);						
		}
		//
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_V'");
		//
		$LStrMsg="La compra ha sido anulada";
		$LStrFoc="document.getElementById('TxtCod').focus();";						
		$StrGT="S";
		//
		$LIMPIAR=1;
	}	
	//////////////////////////////////
	if($LIMPIAR==1){
		$StrId="";
		$StrFec=date("d-m-y");
		$StrSer="";
		$StrNum="";
		$StrPro="";
		$StrIdCliente="0";
		$StrCliente="";
		$StrDIR="";
		$StrRuc="";
		$StrN_INC="";
		$StrCod="";
		$StrDes="";
		$StrMARCA="";
		$StrPre="";
		$StrCant="";
		$StrImp="";
		$X_IMPORTE=0;
		$X_ST=0;
		$X_IG=0;
		$X_TO=0;	
		$StrTdp="CONTADO";	
		$StrTar="";
		$StrBan="";
		$StrTempA="";
		$StrTempB="";
		$StrOpe="";
		$StrDni="";
		$StrTel="";
		$StrEma="";
		$StrEnv="";
		$StrTOT_IMP="";
		$StrPagarCon="";
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				if($StrN_AUTO=="0"){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
				}else{
					$LStrMsg="onload=\"alert('$LStrMsg');AutoNumeracion(2);\"";
				}
			}else{
				if($StrN_AUTO=="0"){
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
				}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;AutoNumeracion(2);\"";
				}
			}
		}else{
			if(strlen($LStrFoc)>0){
				if($StrN_AUTO=="0"){
				$LStrMsg="onload=\"$LStrFoc;\"";
				}else{
					$LStrMsg="onload=\"$LStrFoc;AutoNumeracion(2);\"";
				}
			}
		}
	}else{
		if($StrN_AUTO=="1"){
			$LStrMsg="onload=\"AutoNumeracion(2);document.getElementById('TxtCod').focus();\"";
		}else{
			$LStrMsg="onload=\"document.getElementById('TxtCod').focus();\"";
		}
	}
?>